Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.config.providers
Class InterceptorBuilder

    java.lang.Object
      com.opensymphony.xwork2.config.providers.InterceptorBuilder

    public class InterceptorBuilder

extends Object

Builds a list of interceptors referenced by the refName in the supplied PackageConfig.

Version:
  $Date: 2006-11-13 09:05:32 +0100 (Mon, 13 Nov 2006) $ $Id: InterceptorBuilder.java 1187 2006-11-13 09:05:32 +0100 (Mon, 13 Nov 2006) mrdon $
Author:
  Mike, Rainer Hermanns, tmjee

Field Summary
`private static Log` | `LOG`

Constructor Summary
`InterceptorBuilder()`

Method Summary
`static List<InterceptorMapping>` | `constructInterceptorReference(PackageConfig packageConfig, String refName, Map refParams, Location location, ObjectFactory objectFactory)` Builds a list of interceptors referenced by the refName in the supplied PackageConfig.
`private static List<InterceptorMapping>` | `constructParameterizedInterceptorReferences(PackageConfig packageConfig, InterceptorStackConfig stackConfig, Map refParams, ObjectFactory objectFactory)` Builds a list of interceptors referenced by the refName in the supplied PackageConfig overriding the properties of the referenced interceptor with refParams.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LOG

    private static final Log LOG

Constructor Detail

### InterceptorBuilder

    public InterceptorBuilder()

Method Detail

### constructInterceptorReference

    public static List<InterceptorMapping> constructInterceptorReference(PackageConfig packageConfig,
                                                                         String refName,
                                                                         Map refParams,
                                                                         Location location,
                                                                         ObjectFactory objectFactory)
                                                                  throws ConfigurationException

  Builds a list of interceptors referenced by the refName in the supplied PackageConfig.

  Parameters:
    `packageConfig` -
    `refName` -
    `refParams` -
  Returns:
    list of interceptors referenced by the refName in the supplied PackageConfig.
  Throws:
    `ConfigurationException`

### constructParameterizedInterceptorReferences

    private static List<InterceptorMapping> constructParameterizedInterceptorReferences(PackageConfig packageConfig,
                                                                                        InterceptorStackConfig stackConfig,
                                                                                        Map refParams,
                                                                                        ObjectFactory objectFactory)

  Builds a list of interceptors referenced by the refName in the supplied PackageConfig overriding the properties of the referenced interceptor with refParams.

  Parameters:
    `packageConfig` -
    `stackConfig` -
    `refParams` - The overridden interceptor properies
  Returns:
    list of interceptors referenced by the refName in the supplied PackageConfig overridden with refParams.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 OpenSymphony. All Rights Reserved.